glibc: switch to version 2.22 by default
authorFelix Fietkau <nbd@openwrt.org>
Fri, 29 Jan 2016 23:19:26 +0000 (23:19 +0000)
committerFelix Fietkau <nbd@openwrt.org>
Fri, 29 Jan 2016 23:19:26 +0000 (23:19 +0000)
Signed-off-by: Felix Fietkau <nbd@openwrt.org>
SVN-Revision: 48555

toolchain/glibc/Config.in
toolchain/glibc/Config.version

index 50e44c8..00262dd 100644 (file)
@@ -1,7 +1,7 @@
 choice
        prompt "(e)glibc version"
        depends on TOOLCHAINOPTS && USE_GLIBC
-       default EGLIBC_USE_VERSION_2_19
+       default EGLIBC_USE_VERSION_2_22
        help
          Select the version of glibc you wish to use.
 
index 39066d0..0605874 100644 (file)
@@ -7,13 +7,13 @@ config GLIBC_VERSION
        default "2.22" if GLIBC_VERSION_2_22
 
 config EGLIBC_VERSION_2_19
-       default y if !TOOLCHAINOPTS
        bool
 
 config GLIBC_VERSION_2_21
        bool
 
 config GLIBC_VERSION_2_22
+       default y if !TOOLCHAINOPTS
        bool
 
 config GLIBC_REVISION